Skip to content

Patch end user custom attributes

Request

Patch custom attributes of an end user

Security
ApiKeyAuth
Path
userIdstring, (uuid)required
Bodyapplication/jsonrequired

The custom attributes of an end user to be patched. This should map the custom attribute id to the desired attribute value. Format: Map[UUID, Option[AttributeValue].

property name*Array of strings or stringadditional property
One of:

AttributeValue values: String[] if the type of the custom attribute is Select or String if the type of the custom attribute is Text

Array of strings
PATCH
/v1/endusers/{userId}/custom-attributes
curl -i -X PATCH \
  'https://dev.dixa.io/v1/endusers/{userId}/custom-attributes' \
  -H 'Authorization: YOUR_API_KEY_HERE' \
  -H 'Content-Type: application/json' \
  -d '{
    "274e5a2c-be0d-42c0-b725-3dd533729f68": "abcdef",
    "befae0d9-9679-42b9-af76-e76f64e28429": [
      "example1",
      "example2"
    ]
  }'

Responses

The patched end user attributes

Bodyapplication/json
dataArray of objects(CustomAttribute)
Response
{ "data": [ {}, {} ] }